'use client'
import DataTable from "@/components/tables/DataTable";
import { TableData } from "@/variables/columnsData";
import { extractPagination } from "@/utils/common";
import { columnsDataAttendance } from "../variables/columns";
import { MultiSelectOption } from "@/components/fields/MultiSelect";
import Filters from "@/components/filters/Filters";

interface CaseTableProps {
  data: { data: TableData[] };
  users: MultiSelectOption[];
}

const Table: React.FC<CaseTableProps> = ({ data, users }) => {
  const paginationData = extractPagination(data);
  return (
    <>
      <DataTable
        columnsData={columnsDataAttendance}
        tableData={data?.data as TableData[]}
        paginate={paginationData}
        isSelectable={false}
        showPageSize={false}
        showSearch={false}
        filterSlot={
          <Filters
            users={users}
            showExport={false}
            showSearch={false}
            showBatches={false}
            showIbcs={false}
          />
        }
      />
    </>
  );
};

export default Table;
